Package com.microsoft.sqlserver.jdbc

## Class ConfigurableRetryLogic

- java.lang.Object
- - com.microsoft.sqlserver.jdbc.ConfigurableRetryLogic

    public class ConfigurableRetryLogic
    extends Object

Allows configurable statement retry through the use of the 'retryExec' connection property. Each rule read in is converted to ConfigRetryRule objects, which are stored and referenced during statement retry.

### Method Summary

All Methods Static Methods Concrete Methods
`static ConfigurableRetryLogic` `getInstance()` Fetches the static instance of ConfigurableRetryLogic, instantiating it if it hasn't already been.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getInstance

    public static ConfigurableRetryLogic getInstance()
                                              throws SQLServerException

Fetches the static instance of ConfigurableRetryLogic, instantiating it if it hasn't already been. Each time the instance is fetched, we check if a re-read is needed, and do so if properties should be re-read.

Returns:
  the static instance of ConfigurableRetryLogic
Throws:
  `SQLServerException` - an exception